Welcome, Guest. Please login or register. Did you miss your activation email?

Author Topic: anyway to set the version sf:Context is created against?  (Read 1160 times)

0 Members and 1 Guest are viewing this topic.

mercurio7891

  • Jr. Member
  • **
  • Posts: 89
    • View Profile
anyway to set the version sf:Context is created against?
« on: April 30, 2011, 09:19:43 pm »
Is there anyway to set the sf::Context to be created to a specific opengl version?? For e.g 4.0 or maybe 2.1

regards

Laurent

  • Administrator
  • Hero Member
  • *****
  • Posts: 32502
    • View Profile
    • SFML's website
    • Email
anyway to set the version sf:Context is created against?
« Reply #1 on: May 01, 2011, 01:04:00 am »
Nop. But you shouldn't need that, sf::Context creates a dummy context, not a context which is used for actual rendering.
Laurent Gomila - SFML developer

mercurio7891

  • Jr. Member
  • **
  • Posts: 89
    • View Profile
anyway to set the version sf:Context is created against?
« Reply #2 on: May 01, 2011, 04:24:49 am »
if i try to load the 3.0 functions and above with glew within a sf::Context, it always fail. Hence I was wondering how to go about doing it.

Code: [Select]

sf::ThreadContext //stay alive for the duration of the thread

glewInit();

do some uploading of vbo, texture etc.


The actual render context is on another thread and is not exposed out

regards

Laurent

  • Administrator
  • Hero Member
  • *****
  • Posts: 32502
    • View Profile
    • SFML's website
    • Email
anyway to set the version sf:Context is created against?
« Reply #3 on: May 01, 2011, 10:52:14 am »
I see. That's a valid point.

Task added:
https://github.com/SFML/SFML/issues/36
Laurent Gomila - SFML developer

 

anything